Form Fields API in JavaScript (ES5) PDF Viewer

15 Aug 202611 minutes to read

The PDF Viewer exposes APIs to create, edit, validate, navigate, export, and manage form fields programmatically. The following APIs are available:

API Description
updateFormFieldsValue Updates the value for one or more form fields.
updateFormFields Updates the properties of one or more form fields.
retrieveFormFields Retrieves all form fields or by specific criteria.
resetFormFields Resets the specified or all form fields to their default values.
importFormFields Imports values and states for form fields from a JSON object or file stream.
focusFormField Sets focus to a form field by name or ID.
exportFormFieldsAsObject Exports form fields as a JSON object.
exportFormFields Exports form fields as a downloadable file.
clearFormFields Clears values of specified or all form fields without removing them.
isFormFieldDocument Indicates whether the loaded document contains form fields.
isFormDesignerToolbarVisible Gets whether the Form Designer toolbar is currently visible.
formFieldCollections Gets the collection of current form fields with their properties.
enableFormFieldsValidation Enables or disables form field validation.
enableFormFields Enables or disables interaction with form fields.
enableFormDesignerToolbar Shows or hides the Form Designer toolbar.

updateFormFieldsValue

Updates the value of one or more form fields programmatically.

<button id="updateFormFieldsValue">updateFormFieldsValue</button>
var btn = document.getElementById('updateFormFieldsValue');
if (btn) {
  btn.onclick = function () {
    // Retrieve form fields collection
    var fields = pdfviewer.retrieveFormFields();
    // Find the textbox field by name (Here field name is First Name)
    var field = (fields || []).find(function (f) { return f && f.name === 'First Name'; }) || (fields || [])[0]; // Update name accordingly
    if (field) {
      // give value to be updated in the form
      field.value = 'John Doe';
      field.tooltip = 'First';
      pdfviewer.updateFormFieldsValue(field);
    }
  };
}

updateFormFields

Updates form field properties such as bounds, color, font, isReadOnly, required, and more.

<button id="updateFormFields">updateFormFields</button>
var btn = document.getElementById('updateFormFields');
if (btn) {
  btn.onclick = function () {
    // Retrieve form fields collection
    var fields = pdfviewer.retrieveFormFields();
    // Find the textbox field by name (Here field name is First Name)
    var field = (fields || []).find(function (f) { return f && f.name === 'First Name'; }) || (fields || [])[0]; // Update name accordingly
    if (field) {
      // Update textbox field styling and value
      pdfviewer.formDesignerModule.updateFormField(field, {
        value: 'John',
        fontFamily: 'Courier',
        fontSize: 12,
        color: 'black',
        backgroundColor: 'white',
        borderColor: 'black',
        thickness: 2,
        alignment: 'Left',
        maxLength: 50
      });
    }
  };
}

retrieveFormFields

Retrieves all form fields and their properties or filters by type/name.

<button id="retrieveFormFields">retrieveFormFields</button>
var btn = document.getElementById('retrieveFormFields');
if (btn) {
  btn.onclick = function () {
    var fields = pdfviewer.retrieveFormFields();
    console.log(fields);
  };
}

resetFormFields

Resets specified form fields or all fields to their default values.

<button id="resetFormFields">resetFormFields</button>
var btn = document.getElementById('resetFormFields');
if (btn) {
  btn.onclick = function () {
    pdfviewer.resetFormFields();
  };
}

importFormFields

Imports form field data from an object or file into the current document.

<button id="importFormFields">importFormFields</button>
var btn = document.getElementById('importFormFields');
if (btn) {
  btn.onclick = function () {
    // The file for importing should be accessible at the given path or as a file stream depending on your integration
    pdfviewer.importFormFields('File', 'Json');
  };
}

Supported import/export formats include FDF, XFDF, and JSON. Ensure the format token passed to import/export APIs matches one of these values.

focusFormField

Moves focus to a form field by name or ID.

<button id="focusFormField">focusFormField</button>
var btn = document.getElementById('focusFormField');
if (btn) {
  btn.onclick = function () {
    pdfviewer.focusFormField('FirstName');
  };
}

exportFormFieldsAsObject

Exports current form field values and states as a JSON object.

<button id="exportFormFieldsAsObject">exportFormFieldsAsObject</button>
var btn = document.getElementById('exportFormFieldsAsObject');
if (btn) {
  var exportedData;
  btn.onclick = function () {
    // This API returns a Promise that resolves with the exported data object
    pdfviewer.exportFormFieldsAsObject('Fdf').then(function (data) {
      exportedData = data; // Save or send to server
      console.log('Exported object:', exportedData);
    });
  };
}

exportFormFields

Exports form field data to a file for download.

<button id="exportFormFields">exportFormFields</button>
var btn = document.getElementById('exportFormFields');
if (btn) {
  btn.onclick = function () {
    pdfviewer.exportFormFields('FormData', 'Json');
  };
}

clearFormFields

Clears values of specified or all fields without removing the fields themselves.

<button id="clearformfield">clearformfield</button>
var btn = document.getElementById('clearformfield');
if (btn) {
  btn.onclick = function () {
    var field = pdfviewer.retrieveFormFields();
    pdfviewer.clearFormFields(field[0]);
  };
}

isFormFieldDocument

Returns true if the loaded document contains one or more form fields.

<button id="checkFormFieldDocument">checkFormFieldDocument</button>
var element = document.getElementById('checkFormFieldDocument');
if (element) {
  element.onclick = function () {
    console.log(pdfviewer.isFormFieldDocument);
  };
}

isFormDesignerToolbarVisible

Gets whether the Form Designer toolbar is currently visible.

// Open the Form Designer toolbar and read its visibility state
pdfviewer.enableFormDesignerToolbar(true);
console.log(pdfviewer.isFormDesignerToolbarVisible);

formFieldCollections

Gets the current collection of form fields with their properties from the viewer instance.

<button id="formfieldcollection">formfieldcollection</button>
var element = document.getElementById('formfieldcollection');
if (element) {
  element.onclick = function () {
    console.log(pdfviewer.formFieldCollections);
  };
}

enableFormFieldsValidation

Enables or disables built-in validation for required and constrained fields.

pdfviewer.enableFormFieldsValidation = true; // enable form fields validation
pdfviewer.appendTo('#PdfViewer');

enableFormFields

Enables or disables user interaction with form fields globally.

pdfviewer.enableFormFields = false;  // Disable interaction with all fields
pdfviewer.appendTo('#PdfViewer');

enableFormDesignerToolbar

Shows or hides the Form Designer toolbar at runtime.

// Show or hide the Form Designer toolbar at runtime
pdfviewer.enableFormDesignerToolbar(true); // show
// pdfviewer.enableFormDesignerToolbar(false); // hide

See also

Form Fields API in React PDF Viewer

14 Aug 202624 minutes to read

The PDF Viewer exposes a set of programmatic APIs to create, edit, validate, navigate, and manage form fields. These APIs enable automation of common tasks such as updating values, exporting/importing form data, resetting fields, and toggling designer or validation features. The examples below demonstrate usage patterns; code samples remain unchanged and are runnable when the viewer is initialized.

Each sample demonstrates a single API call or small workflow (for example, updating a field value or exporting form data). Use the provided APIs in application logic or UI handlers to automate form workflows.

API Description
updateFormFieldsValue Updates the value for one or more form fields.
updateFormFields Updates the properties of one or more form fields.
retrieveFormFields Retrieves all form fields or by specific criteria.
resetFormFields Resets the specified or all form fields to their default values.
importFormFields Imports values and states for form fields from a JSON object or file stream.
focusFormField Sets focus to a form field by name or ID.
exportFormFieldsAsObject Exports form fields as a JSON object.
exportFormFields Exports form fields as a downloadable file.
clearFormFields Clears values of specified or all form fields without removing them.
isFormFieldDocument Indicates whether the loaded document contains form fields.
isFormDesignerToolbarVisible Gets whether the Form Designer toolbar is currently visible.
formFieldCollections Gets the collection of current form fields with their properties.
enableFormFieldsValidation Enables or disables form field validation.
enableFormFields Enables or disables interaction with form fields.
enableFormDesignerToolbar Shows or hides the Form Designer toolbar.

updateFormFieldsValue

Updates the value of one or more form fields programmatically.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const updateFormFieldsValue = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    // Retrieve all form fields (two ways)
    const fields =
      viewer.retrieveFormFields?.() ||
      viewer.formFieldCollection ||
      [];

    // Find the textbox named "First Name" (fallback to the first field)
    const field =
      fields.find(f => f?.name === 'First Name') || fields[0];

    if (field) {
      // Update value and tooltip, then apply via API
      field.value = 'John Doe';
      field.tooltip = 'First';
      viewer.updateFormFieldsValue(field);
    } else {
      console.warn('No form fields available to update.');
    }
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={updateFormFieldsValue}>updateFormFieldsValue</button>
        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

updateFormFields

Updates form field properties such as bounds, color, font, isReadOnly, required, and more.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const updateFormFields = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    const fields =
      viewer.retrieveFormFields?.() ||
      viewer.formFieldCollection ||
      [];

    const field =
      fields.find(f => f?.name === 'First Name') || fields[0];

    if (field) {
      // Use FormDesigner API to update properties
      viewer.formDesignerModule.updateFormField(field, {
        value: 'John',
        fontFamily: 'Courier',
        fontSize: 12,
        color: 'black',
        backgroundColor: 'white',
        borderColor: 'black',
        thickness: 2,
        alignment: 'Left',
        maxLength: 50
      });
    } else {
      console.warn('No form fields available to update.');
    }
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={updateFormFields}>updateFormFields</button>
        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

retrieveFormFields

Retrieves all form fields and their properties or filters by type/name.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const retrieveFormFields = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    // Either call the API or read the collection directly
    const fields =
      viewer.retrieveFormFields?.() ||
      viewer.formFieldCollection ||
      [];

    console.log('Form fields:', fields);

    const byName = fields.filter(f => f?.name === 'First Name');
    const onlyTextboxes = fields.filter(f => f?.type === 'Textbox');
    console.log('By name:', byName);
    console.log('Textboxes:', onlyTextboxes);
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={retrieveFormFields}>retrieveFormFields</button>
        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

resetFormFields

Resets specified form fields or all fields to their default values.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const resetAll = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;
    // Reset all form fields
    viewer.resetFormFields();
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={resetAll}>resetFormFields</button>
        {/* Optional helper button */}
        <button onClick={resetSpecific} style=>reset specific fields</button>

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

importFormFields

Imports form field data from an object or file into the current document.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';
// Importing the enum from core package is typical for formats
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  // Import from a known source (path/stream depends on your integration)
  const importFromSource = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;
    // Example: specify a key that your backend/hosted env resolves, or use your own logic
    viewer.importFormFields('File', FormFieldDataFormat.Json);
  };

  // Optional: Import from a local file chosen by user
  const onFilePicked = async (e) => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    const file = e.target.files?.[0];
    if (!file) return;

    // Pass the File object directly if your integration supports it
    // (The viewer supports file/stream depending on the environment)
    viewer.importFormFields(file, FormFieldDataFormat.Json);
    // Reset the input so picking same file again still triggers change
    e.target.value = '';
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={importFromSource}>importFormFields</button>
        {/* Optional local file import */}
        <input
          type="file"
          accept=".json,.xfdf,.fdf"
          onChange={onFilePicked}
          style=
        />

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

focusFormField

Moves focus to a form field by name or ID.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent
, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const focusFirstName = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;
    viewer.focusFormField('FirstName'); // use the exact field name/ID
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={focusFirstName}>focusFormField</button>

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

exportFormFieldsAsObject

Exports current form field values and states as a JSON object.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const exportAsObject = async () => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    try {
      const data = await viewer.exportFormFieldsAsObject(FormFieldDataFormat.Fdf);
      // Save, send to server, or inspect in console
      console.log('Exported object:', data);
    } catch (e) {
      console.error('Export failed:', e);
    }
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={exportAsObject}>exportFormFieldsAsObject</button>

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

exportFormFields

Exports form field data to a file for download.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const exportFormFields = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;
    // Triggers download based on given file token/name and format
    viewer.exportFormFields('FormData', FormFieldDataFormat.Json);
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={exportFormFields}>exportFormFields</button>
        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

clearFormFields

Clears values of specified or all fields without removing the fields themselves.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const clearFirstField = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    const fields =viewer.retrieveFormFields();
    if (fields.length) {
      viewer.clearFormFields(fields[0]);
    } else {
      console.warn('No form fields to clear.');
    }
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={clearFirstField}>clearformfield</button>

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

isFormFieldDocument

Returns true if the loaded document contains one or more form fields.

import * as ReactDOM from 'react-dom/client';
import React, { useRef } from 'react';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const checkFormFieldDocument = () => {
    const viewer = viewerRef.current;
    if (!viewer) return;
    console.log(viewer.isFormFieldDocument);
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={checkFormFieldDocument}>checkFormFieldDocument</button>

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject services={[
            Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
            ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
          ]} />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

isFormDesignerToolbarVisible

Shows the Form Designer toolbar when the PDF document is loaded into the PDF Viewer. Use the API to get the Form Designer toolbar’s current visible status.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView,ThumbnailView,
         Print, TextSelection, Annotation, TextSearch, Inject, FormDesigner, FormFields } from '@syncfusion/ej2-react-pdfviewer';
// eslint-disable-next-line
         let pdfviewer;

function App() {
  function documentLoaded () {
    var viewer = document.getElementById('container').ej2_instances[0];
    viewer.formDesignerModule.addFormField("Textbox", { name: "Textbox", bounds: { X: 146, Y: 229, Width: 150, Height: 24 }});
  }
  return (<div>
    <div className='control-section'>
      {/* Render the PDF Viewer */}
      <PdfViewerComponent ref={(scope) => { pdfviewer = scope; }}
        id="container"
        documentPath="https://cdn.syncfusion.com/content/pdf/form-designer.pdf"
        resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
        documentLoad={documentLoaded}
        isFormDesignerToolbarVisible = {true}
        style=height>

            <Inject services={[ Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
                                ThumbnailView, Print, TextSelection, TextSearch, FormDesigner, FormFields ]} />
      </PdfViewerComponent>
    </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

formFieldCollections

Gets the current collection of form fields with their properties from the viewer instance.

import React, { useRef } from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const logFormFieldCollections = () => {
    const viewer = viewerRef.current;
    if (!viewer) {
      console.warn('Viewer instance not ready yet.');
      return;
    }
    // Logs the form field collections
    const collections = viewer.formFieldCollections ?? viewer.formFieldCollection ?? [];
    console.log('Form Field Collections:', collections);
  };

  return (
    <div>
      <div className="control-section">
        <button onClick={logFormFieldCollections} style=>
          Form Field Collections
        </button>

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/30.1.37/dist/ej2-pdfviewer-lib"
          style=
        >
          <Inject
            services={[
              Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
              ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner
            ]}
          />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

enableFormFieldsValidation

Enables or disables built-in validation for required and constrained fields.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView,ThumbnailView,
         Print, TextSelection, Annotation, TextSearch, Inject, FormDesigner, FormFields } from '@syncfusion/ej2-react-pdfviewer';
let pdfviewer;

function App() {
  function documentLoaded () {
    var viewer = document.getElementById('container').ej2_instances[0];
    viewer.formDesignerModule.addFormField("Textbox", { name: "Textbox", bounds: { X: 146, Y: 229, Width: 150, Height: 24 }});
  }
  return (<div>
    <div className='control-section'>
      {/* Render the PDF Viewer */}
      <PdfViewerComponent ref={(scope) => { pdfviewer = scope; }}
        id="container"
        documentPath="https://cdn.syncfusion.com/content/pdf/form-designer.pdf"
        resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
        documentLoad={documentLoaded}
        enableFormFieldsValidation={true}
        style=height>

            <Inject services={[ Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
                                ThumbnailView, Print, TextSelection, TextSearch, FormDesigner, FormFields ]} />
      </PdfViewerComponent>
    </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

enableFormFields

Enables or disables user interaction with form fields globally.

import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView, Print, TextSelection, Annotation, TextSearch, FormFields, Inject } from '@syncfusion/ej2-react-pdfviewer';
export function App() {
  return (<div>
    <div className='control-section'>
      <PdfViewerComponent 
        id="container" 
        resourceUrl="https://cdn.syncfusion.com/ej2/30.1.37/dist/ej2-pdfviewer-lib"
        documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
        style=height 
        // Enable or disable form fields.
        enableFormFields = {false}
      >
        <Inject services={[Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView, ThumbnailView,
          Print, TextSelection, TextSearch, FormFields ]} />
      </PdfViewerComponent>
    </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

enableFormDesignerToolbar

Shows or hides the Form Designer toolbar at runtime.

import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  LinkAnnotation,
  BookmarkView,
  ThumbnailView,
  Print,
  TextSelection,
  Annotation,
  TextSearch,
  FormFields,
  FormDesigner,
  Inject,
} from '@syncfusion/ej2-react-pdfviewer';
export function App() {
  return (
    <div>
      <div className="control-section">
        <PdfViewerComponent
          id="container"
          resourceUrl="https://cdn.syncfusion.com/ej2/30.1.37/dist/ej2-pdfviewer-lib"
          documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
          style=
          // Enable or disable form designer.
          enableFormDesignerToolbar={false}
        >
          <Inject
            services={[
              Toolbar,
              Magnification,
              Navigation,
              Annotation,
              LinkAnnotation,
              BookmarkView,
              ThumbnailView,
              Print,
              TextSelection,
              TextSearch,
              FormFields,
              FormDesigner,
            ]}
          />
        </PdfViewerComponent>
      </div>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

See also

Form Fields API in Angular PDF Viewer

14 Aug 202624 minutes to read

The Angular PDF Viewer provides APIs to create, edit, validate, navigate, and manage form fields programmatically. The following APIs are available:

API Description
updateFormFieldsValue Updates the value for one or more form fields.
updateFormFields Updates the properties of one or more form fields.
retrieveFormFields Retrieves all form fields or by specific criteria.
resetFormFields Resets the specified or all form fields to their default values.
importFormFields Imports values and states for form fields from a JSON object or file stream.
focusFormField Sets focus to a form field by name or ID.
exportFormFieldsAsObject Exports form fields as a JSON object.
exportFormFields Exports form fields as a downloadable file.
clearFormFields Clears values of specified or all form fields without removing them.
isFormFieldDocument Indicates whether the loaded document contains form fields.
isFormDesignerToolbarVisible Gets whether the Form Designer toolbar is currently visible.
formFieldCollections Gets the collection of current form fields with their properties.
enableFormFieldsValidation Enables or disables form field validation.
enableFormFields Enables or disables interaction with form fields.
enableFormDesignerToolbar Shows or hides the Form Designer toolbar.

updateFormFieldsValue

Updates the value of one or more form fields programmatically.

import { Component, ViewChild } from '@angular/core';
import {
  PdfViewerModule,
  PdfViewerComponent,
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="updateFormFieldsValue()">updateFormFieldsValue</button>
      <ejs-pdfviewer
        #pdfviewer
        id="pdfViewer"
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  updateFormFieldsValue(): void {
    const fields = this.pdfviewer?.retrieveFormFields() as any[] | undefined;
    const field = fields?.find((f: any) => f.name === 'First Name') || fields?.[0];
    if (field) {
      field.value = 'John Doe';
      field.tooltip = 'First';
      this.pdfviewer?.updateFormFieldsValue(field);
    }
  }
}

updateFormFields

Updates form field properties such as bounds, color, font, isReadOnly, required, and more.

import { Component, ViewChild } from '@angular/core';
import {
  PdfViewerModule,
  PdfViewerComponent,
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="updateFormFields()">updateFormFields</button>
      <ejs-pdfviewer
        #pdfviewer
        id="pdfViewer"
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  updateFormFields(): void {
    const fields = this.pdfviewer?.retrieveFormFields() as any[] | undefined;
    const field = fields?.find((f: any) => f.name === 'First Name') || fields?.[0];
    if (field) {
      this.pdfviewer?.formDesignerModule.updateFormField(field, {
        value: 'John',
        fontFamily: 'Courier',
        fontSize: 12,
        color: 'black',
        backgroundColor: 'white',
        borderColor: 'black',
        thickness: 2,
        alignment: 'Left',
        maxLength: 50,
      } as any);
    }
  }
}

retrieveFormFields

Retrieves all form fields and their properties or filters by type/name.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="retrieveFormFields()">retrieveFormFields</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  retrieveFormFields(): void {
    const fields = this.pdfviewer?.retrieveFormFields();
    console.log(fields);
  }
}

resetFormFields

Resets specified form fields or all fields to their default values.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="resetFormFields()">resetFormFields</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  resetFormFields(): void {
    this.pdfviewer?.resetFormFields();
  }
}

importFormFields

Imports form field data from an object or file into the current document.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="importFormFields()">importFormFields</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  importFormFields(): void {
    // Adjust the arguments as per your integration; FormFieldDataFormat enum may be used
    this.pdfviewer?.importFormFields('File', 'Json' as any);
  }
}

focusFormField

Moves focus to a form field by name or ID.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="focusFormField()">focusFormField</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  focusFormField(): void {
    this.pdfviewer?.focusFormField('FirstName');
  }
}

exportFormFieldsAsObject

Exports current form field values and states as a JSON object.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="exportFormFieldsAsObject()">exportFormFieldsAsObject</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;
  exportedData: Object | undefined;

  exportFormFieldsAsObject(): void {
    this.pdfviewer?.exportFormFieldsAsObject('Fdf' as any).then((data: any) => {
      this.exportedData = data;
      console.log('Exported object:', this.exportedData);
    });
  }
}

exportFormFields

Exports form field data to a file for download.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="exportFormFields()">exportFormFields</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  exportFormFields(): void {
    this.pdfviewer?.exportFormFields('FormData', 'Json' as any);
  }
}

clearFormFields

Clears values of specified or all fields without removing the fields themselves.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="clearFormFields()">clearFormFields</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  clearFormFields(): void {
    const fields = this.pdfviewer?.retrieveFormFields();
    if (fields && fields.length) {
      this.pdfviewer?.clearFormFields(fields[0]);
    }
  }
}

isFormFieldDocument

Returns true if the loaded document contains one or more form fields.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="checkFormFieldDocument()">checkFormFieldDocument</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  checkFormFieldDocument(): void {
    console.log(this.pdfviewer?.isFormFieldDocument);
  }
}

isFormDesignerToolbarVisible

Opens the Form Designer toolbar and returns its visibility status.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="openFormDesigner()">Open Form Designer</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  openFormDesigner(): void {
    this.pdfviewer?.enableFormDesignerToolbar(true);
    console.log(this.pdfviewer?.isFormDesignerToolbarVisible);
  }
}

formFieldCollections

Gets the current collection of form fields with their properties from the viewer instance.

import { Component, ViewChild } from '@angular/core';
import { PdfViewerModule, PdfViewerComponent, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="logFormFieldCollections()">formFieldCollections</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  logFormFieldCollections(): void {
    console.log(this.pdfviewer?.formFieldCollections);
  }
}

enableFormFieldsValidation

Enables or disables built-in validation for required and constrained fields.

import { Component } from '@angular/core';
import { PdfViewerModule, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <ejs-pdfviewer id="pdfViewer" [enableFormFieldsValidation]="true" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
}

enableFormFields

Enables or disables user interaction with form fields globally.

import { Component } from '@angular/core';
import { PdfViewerModule, ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <ejs-pdfviewer id="pdfViewer" [enableFormFields]="false" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [ToolbarService, MagnificationService, NavigationService, AnnotationService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
}

enableFormDesignerToolbar

Shows or hides the Form Designer toolbar at runtime.

import { Component, ViewChild } from '@angular/core';
import {
  PdfViewerModule,
  PdfViewerComponent,
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="showFormDesigner()">Show Form Designer</button>
      <button (click)="hideFormDesigner()">Hide Form Designer</button>
      <ejs-pdfviewer #pdfviewer id="pdfViewer" [resourceUrl]="resourceUrl" [documentPath]="document" style="height: 640px; display: block;"></ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document =
    'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl =
    'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
  @ViewChild('pdfviewer') public pdfviewer?: PdfViewerComponent;

  showFormDesigner(): void {
    if (this.pdfviewer) this.pdfviewer.enableFormDesignerToolbar = true;
  }

  hideFormDesigner(): void {
    if (this.pdfviewer) this.pdfviewer.enableFormDesignerToolbar = false;
  }
}

See also

Form Fields API in Vue PDF Viewer

14 Aug 202624 minutes to read

The Vue PDF Viewer provides APIs to create, edit, validate, navigate, and manage form fields programmatically. The following APIs are available:

API Description
updateFormFieldsValue Updates the value for one or more form fields.
updateFormFields Updates the properties of one or more form fields.
retrieveFormFields Retrieves all form fields or by specific criteria.
resetFormFields Resets the specified or all form fields to their default values.
importFormFields Imports values and states for form fields from a JSON object or file stream.
focusFormField Sets focus to a form field by name or ID.
exportFormFieldsAsObject Exports form fields as a JSON object.
exportFormFields Exports form fields as a downloadable file.
clearFormFields Clears values of specified or all form fields without removing them.
isFormFieldDocument Indicates whether the loaded document contains form fields.
isFormDesignerToolbarVisible Gets whether the Form Designer toolbar is currently visible.
formFieldCollections Gets the collection of current form fields with their properties.
enableFormFieldsValidation Enables or disables form field validation.
enableFormFields Enables or disables interaction with form fields.
enableFormDesignerToolbar Shows or hides the Form Designer toolbar.

updateFormFieldsValue

Updates the value of one or more form fields programmatically.

<template>
  <div>
    <button id="updateFormFields">updateFormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
  import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  provide: {
    PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer],
  },
  mounted() {
    const btn = document.getElementById('updateFormFields');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        const fields = pdfviewer.retrieveFormFields();
        const field = fields.find((f) => f.name === 'First Name') || fields[0];
        if (field) {
          field.value = 'John Doe';
          field.tooltip = 'First';
          pdfviewer.updateFormFieldsValue(field);
        }
      };
    }
  },
};
</script>

updateFormFields

Updates form field properties such as bounds, color, font, isReadOnly, required, and more.

<template>
  <div>
    <button id="updateFormFields">updateFormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('updateFormFields');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        const fields = pdfviewer.retrieveFormFields();
        const field = fields.find((f) => f.name === 'First Name') || fields[0];
        if (field) {
          pdfviewer.formDesignerModule.updateFormField(field, {
            value: 'John',
            fontFamily: 'Courier',
            fontSize: 12,
            color: 'black',
            backgroundColor: 'white',
            borderColor: 'black',
            thickness: 2,
            alignment: 'Left',
            maxLength: 50,
          });
        }
      };
    }
  },
};
</script>

retrieveFormFields

Retrieves all form fields and their properties or filters by type/name.

<template>
  <div>
    <button id="retrieveFormFields">retrieveFormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('retrieveFormFields');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        const fields = pdfviewer.retrieveFormFields();
        console.log(fields);
      };
    }
  },
};
</script>

resetFormFields

Resets specified form fields or all fields to their default values.

<template>
  <div>
    <button id="resetFormFields">resetFormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('resetFormFields');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        pdfviewer.resetFormFields();
      };
    }
  },
};
</script>

importFormFields

Imports form field data from an object or file into the current document.

<template>
  <div>
    <button id="importFormFields">importFormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('importFormFields');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        pdfviewer.importFormFields('File', FormFieldDataFormat.Json);
      };
    }
  },
};
</script>

focusFormField

Moves focus to a form field by name or ID.

<template>
  <div>
    <button id="focusFormField">focusFormField</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('focusFormField');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        pdfviewer.focusFormField('FirstName');
      };
    }
  },
};
</script>

exportFormFieldsAsObject

Exports current form field values and states as a JSON object.

<template>
  <div>
    <button id="exportFormFieldsAsObject">exportFormFieldsAsObject</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('exportFormFieldsAsObject');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        pdfviewer.exportFormFieldsAsObject(FormFieldDataFormat.Fdf).then((data) => {
          console.log('Exported object:', data);
        });
      };
    }
  },
};
</script>

exportFormFields

Exports form field data to a file for download.

<template>
  <div>
    <button id="exportFormFields">exportFormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('exportFormFields');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Json);
      };
    }
  },
};
</script>

clearFormFields

Clears values of specified or all fields without removing the fields themselves.

<template>
  <div>
    <button id="clearFormFields">clearFormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const btn = document.getElementById('clearFormFields');
    if (btn) {
      btn.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        const field = pdfviewer.retrieveFormFields();
        pdfviewer.clearFormFields(field[0]);
      };
    }
  },
};
</script>

isFormFieldDocument

Returns true if the loaded document contains one or more form fields.

<template>
  <div>
    <button id="checkFormFieldDocument">checkFormFieldDocument</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const element = document.getElementById('checkFormFieldDocument');
    if (element) {
      element.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        console.log(pdfviewer.isFormFieldDocument);
      };
    }
  },
};
</script>

isFormDesignerToolbarVisible

Gets whether the Form Designer toolbar is currently visible.

<template>
  <div>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" @documentLoad="onDocumentLoad" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    onDocumentLoad() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      // Open the Form Designer toolbar and read its visibility state
      pdfviewer.enableFormDesignerToolbar(true);
      console.log(pdfviewer.isFormDesignerToolbarVisible);
    },
  },
};
</script>

formFieldCollections

Gets the current collection of form fields with their properties from the viewer instance.

<button id="formfieldcollection">formfieldcollection</button>
<template>
  <div>
    <button id="formfieldcollection">formfieldcollection</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const element = document.getElementById('formfieldcollection');
    if (element) {
      element.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        console.log(pdfviewer.formFieldCollections);
      };
    }
  },
};
</script>

enableFormFieldsValidation

Enables or disables built-in validation for required and constrained fields.

<template>
  <div>
    <button id="checkFormFieldDocument">checkFormFieldDocument</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const element = document.getElementById('checkFormFieldDocument');
    if (element) {
      element.onclick = () => {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        console.log(pdfviewer.isFormFieldDocument);
      };
    }
  },
};
</script>
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    onDocumentLoad() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.enableFormFieldsValidation = true;
    },
  },
};
</script>

enableFormFields

Enables or disables user interaction with form fields globally.

<template>
  <div>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" @documentLoad="onDocumentLoad" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    onDocumentLoad() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.enableFormFields = false; // Disable interaction with all fields
    },
  },
};
</script>

enableFormDesignerToolbar

Shows or hides the Form Designer toolbar at runtime.

<template>
  <div>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" @documentLoad="onDocumentLoad" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    onDocumentLoad() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.enableFormDesignerToolbar(true); // show
      // pdfviewer.enableFormDesignerToolbar(false); // hide
    },
  },
};
</script>

See also